---
title: "3 Reasons to Switch to Linux"
date: "2021-10-30"
tags:
- tech
---

In the computing world, Linux is already extremely widespread — it's near-ubiquitous on servers as well as many appliances such as smart fridges, [cars](https://www.zdnet.com/article/tesla-starts-to-release-its-cars-open-source-linux-software-code/), or even [Mars helicopters](https://www.theverge.com/2021/2/19/22291324/linux-perseverance-mars-curiosity-ingenuity) . If you have an Android phone, you're running Linux already. So why not give it a shot on your computer, too?

<!-- more -->

First, what is Linux? At its heart, it is a [kernel](https://en.wikipedia.org/wiki/Kernel_(operating_system)) that the rest of your operating system and software depends on, from drivers to the display manager to games.

However, this article will largely focus on **desktop Linux**, which competes with other operating systems such as Windows and macOS.

# Complete freedom

Perhaps the biggest feature of Linux is its ability to do whatever you want, however you want. After a *tiny* bit of tinkering, you'll be able to set up your computer exactly how you'd like it!

::image{src=sway-desktop.png}
A terminal, an emulated Switch game, a game launcher, and a browser all automagically arranged by a tiling window manager. The currently playing song is in the top bar.
::

Or, if you aren't the type to spend hours fiddling every little thing, you can choose from a variety of existing default desktop interfaces.

Try GNOME's minimalistic and beautiful desktop with its well-integrated virtual workspaces:

![](https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Gnome_40_navigation.webm/1200px--Gnome_40_navigation.webm.jpg)

![](https://upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Screenshot_of_GNOME_40_taken_on_Manjaro.png/1200px-Screenshot_of_GNOME_40_taken_on_Manjaro.png)

Or Plasma's endless customisation:

![](https://upload.wikimedia.org/wikipedia/commons/9/94/KDE_Plasma_5.21_Breeze_Twilight_screenshot.png)

::image{src=https://www.omgubuntu.co.uk/wp-content/uploads/2019/07/kde-plasma-desktop.jpg}
::

And this is only the beginning — it's not just appearance you have control over, although both GNOME and Plasma also come with their assortment of applications that have designs that perfectly mesh with the desktop, with global theming letting you click a single button in your settings menu to change colours or styles across all your apps.

Don't like your file manager? Swap it out for one of the dozens out there. Don't like how the update manager churns in the background? Turn it off! Or heck, even switch to another flavour of Linux that doesn't ask you to update so often. The sky's the limit!

**You can do anything.**

# The package manager

Speaking of the update manager…

Take a look at your phone and how you get new software or update old software — the App Store on iPhones and Google Play on Android phones. Now imagine being able to do that…on your computer. Being able to install whatever you want using a store with built-in security along with updates.

No more downloading random apps from the internet and hoping they aren't infected!

Not only that, but you can also update your computer *while* you're using it — no more waiting ages for Windows to finish doing what it does — most of the time you don't even need to reboot, but when you do it's just as fast as when you turn your computer on normally.

Here are just a couple of the graphical stores available:

GNOME Software for GNOME:

::image{src=https://www.omgubuntu.co.uk/wp-content/uploads/2021/02/gnome-software-refresh.jpg}
::

Discover for Plasma:

::image{src=https://userbase.kde.org/images.userbase/thumb/2/2d/Discoverappfocus.png/500px-Discoverappfocus.png}
::

By contrast, the Microsoft Store was (is) a complete and utter mess that is nowhere near the integration and experience Linux has had for decades.

# Open source

Not only that, desktop Linux was built by thousands of volunteers, each contributing their own code to make the best product they can. Because it's completely open source (anyone can see or edit the source code), it's inherently more secure as simply more people are looking at it to fix issues and squash bugs.

Learning Linux is a great opportunity to jump into learning more about computers because of the knowledge you gain over time of how your computer works on a fundamental level as you inevitably start troubleshooting *when* something breaks. And perhaps you'll be the one to contribute back upstream to the project too, if you fix a bug or add a new feature, and have your own code distributed around to millions of other users.

# Try it now!

With dozens of well-maintained versions of Linux operating systems out there, you'll be sure to find one that suits your needs. To try GNOME, [Pop!_OS](https://pop.system76.com/) or [Fedora](https://getfedora.org/en/workstation/download/) provide a seamless out-of-the-box experience. To try Plasma, [Kubuntu](https://kubuntu.org/) is a fantastic starting point. To get a macOS-like feel, [Elementary OS](https://elementary.io/) gives you that Apple vibe while, like every other Linux OS, is completely free of charge, and lets you try it out before you decide to install it.
